#include <stdio.h>
#include <rpc/rpc.h>
#include "def.h"
#define MAX_BUF 12

char *
encode_data(datap)
struct local_data *datap;
{
    XDR xdrs;  /* XDR structure for xdrmem_create() */
    char *buf; /* buffer to hold encoded data       */

    if ((buf = (char *)malloc(MAX_BUF)) == NULL) {
        return(NULL);
    }

    xdrmem_create(&xdrs, buf, MAX_BUF, XDR_ENCODE);

    if (xdr_local_data(&xdrs, datap) == FALSE) {
        free(buf);
        buf = NULL;
    }
    return(buf);
}
